Account

Set a low-balance alert

Sends you an email and a balance.low webhook when your balance falls below this amount.

PUT
/v1/balance/alert

Sends you an email and a balance.low webhook when your balance falls below this amount.

Authorization

bearer
headerAuthorizationBearer <JWT>

Your secret API key: sk_live_… for live traffic or sk_test_… for testing.

Request Body

application/json
  1. body
threshold*|

Alert when your balance falls below this amount in GHS. Send null to turn alerts off.

Range0.01 <= value <= 10000000

Response Body

The new threshold.

application/json
Example Request
curl -X PUT 'https://api.appstractone.com/v1/balance/alert' \
  -H 'Content-Type: application/json' \
  -d '{
  "threshold": 10
}'
Example Response
{
  "lowBalanceThreshold": "10"
}